Settings
Get ASR models
GET
Return all selectable ASR models. Empty options list on macOS (single MLX build).
Successful Response
application/json- response
options*array<>Available ASR models
current*CurrentID of the currently selected model
curl -X GET 'http://127.0.0.1:8100/api/v1/settings/asr-model'Example Response200
{ "options": [ { "id": "string", "name": "string", "description": "string", "family": "string", "vram_mb": 0, "languages": [ "string" ], "selected": true } ], "current": "string"}